Announcement

Collapse
No announcement yet.

Ubersvn updates failing

Collapse
X
  • Filter
  • Time
  • Show
Clear All
new posts

  • Ubersvn updates failing

    I am trying to update my ubersvn using the web interface.
    It states that all the packages downloaded ok, but when i try to install them all the updates failed.
    I took a look in the log and it said it couldnt find the files. When i look in the directory where it looks (/opt/ubersvn/downloads) the files needed for the updates are not there.
    Is there any way to have ubersvn download the needed files again? (for instance remove the fact that it downloaded those files)
    I am running on ubuntu 11.04

    Kind regards,
    verm_pat

  • #2
    Hi verm_pat,

    Can you let us know what version and build of uberSVN you're currently running? You can find this in the lower right corner of the UI and it will look something like 11.6 6123 or 11.8 7843, etc.

    Also, can you let us know if you've previously successfully updated?


    Thanks

    Wayne

    Comment


    • #3
      Originally posted by wmellors View Post
      Hi verm_pat,

      Can you let us know what version and build of uberSVN you're currently running? You can find this in the lower right corner of the UI and it will look something like 11.6 6123 or 11.8 7843, etc.

      Also, can you let us know if you've previously successfully updated?


      Thanks

      Wayne
      Of course,
      Version is: 11.8-7283

      I have done succesfull updates previously. I am trying to find a log file where the updates are logged, but cannot find one for you.

      verm_pat

      Comment


      • #4
        Thanks.

        If you could post the contents of the packagetool log, found in the Admin > Logs section, that may help to isolate the cause.

        Comment


        • #5
          I cant get the log from the web interface itself, since i cant switch pages or logs.
          I got it from /opt/ubersvn/data/logs , I hope this is ok?

          Code:
          Verifying packages to be updated/installed:
             updater-11.10.7955-2
          Stopping Apache...
          httpd: Could not reliably determine the server's fully qualified domain name, using 127.0.1.1 for ServerName
          httpd (pid 2072?) not running
          Stopping Tomcat...
          Stopping Tomcat
          Using CATALINA_BASE:   /opt/ubersvn/tomcat
          Using CATALINA_HOME:   /opt/ubersvn/tomcat
          Using CATALINA_TMPDIR: /opt/ubersvn/tomcat/temp
          Using JRE_HOME:        /opt/ubersvn/jre
          Using CLASSPATH:       /opt/ubersvn/tomcat/bin/bootstrap.jar
          Using CATALINA_PID:    /opt/ubersvn/data/run/tomcat.pid
          Tomcat did not stop in time. PID file was not removed.
          Services stopped
          Skipping pre-install scriptlet.
          Installing updater
            Installing file: license/updater.txt
            Installing file: bin/pkgtool.jar
            Installing file: bin/pkgtool.sh
            Installing file: lib/commons-compress-1.1.jar
            Installing file: lib/commons-exec-1.1.jar
            Installing file: lib/commons-io-2.0.1.jar
          Finished installing updater
          Cleaning up updater
          Finished cleaning up updater
          Skipping post-install scriptlet.
          Starting Apache...
          httpd: Could not reliably determine the server's fully qualified domain name, using 127.0.1.1 for ServerName
          (98)Address already in use: make_sock: could not bind to address 0.0.0.0:9880
          no listening sockets available, shutting down
          Unable to open logs
          com.wandisco.ubersvn.pkg.exception.UpdateException: Unable to start Apache: Execution failure (1): Process exited with an error: 1 (Exit value: 1)
                  at com.wandisco.ubersvn.pkg.ScriptExecutor.apache(Unknown Source)
                  at com.wandisco.ubersvn.pkg.PackageTool.startServices(Unknown Source)
                  at com.wandisco.ubersvn.pkg.PackageTool.executeUpdate(Unknown Source)
                  at com.wandisco.ubersvn.pkg.PackageTool.execute(Unknown Source)
                  at com.wandisco.ubersvn.pkg.PackageTool.main(Unknown Source)
          Caused by: java.lang.Exception: Execution failure (1): Process exited with an error: 1 (Exit value: 1)
                  at com.wandisco.ubersvn.pkg.ScriptExecutor.runExternalProcess(Unknown Source)
                  ... 5 more
          Caused by: org.apache.commons.exec.ExecuteException: Process exited with an error: 1 (Exit value: 1)
                  at org.apache.commons.exec.DefaultExecutor.executeInternal(DefaultExecutor.java:377)
                  at org.apache.commons.exec.DefaultExecutor.access$200(DefaultExecutor.java:46)
                  at org.apache.commons.exec.DefaultExecutor$1.run(DefaultExecutor.java:188)
          Starting Tomcat...
          Starting Tomcat
          Using CATALINA_BASE:   /opt/ubersvn/tomcat
          Using CATALINA_HOME:   /opt/ubersvn/tomcat
          Using CATALINA_TMPDIR: /opt/ubersvn/tomcat/temp
          Using JRE_HOME:        /opt/ubersvn/jre
          Using CLASSPATH:       /opt/ubersvn/tomcat/bin/bootstrap.jar
          Using CATALINA_PID:    /opt/ubersvn/data/run/tomcat.pid
          Existing PID file found during start.
          Tomcat appears to still be running with PID 2097. Start aborted.
          Please allow 30 seconds or so for the uberSVN portal to start
          Services started
          I looked through it, but it doesnt seem to show the installations i just tried, only one i tried before.
          I found this in catalina.out:

          Code:
          Set Selected Packagenull
          [27 okt 2011 13:56:14] INFO  - Installing updates
           [27 okt 2011 13:56:14] INFO  - Writing package versions to file: /opt/ubersvn/versions.db
           [27 okt 2011 13:56:14] INFO  - Writing package files to file: /opt/ubersvn/files.db
          I have a suspicion that this is not correct.

          Comment


          • #6
            That's great, thank you for the info. I'll raise this with the developers now.

            Comment


            • #7
              Could you also tell us what packages it says are ready to install? A screenshot of your Admin->Updates page would be great.

              Comment


              • #8
                Of course i can,

                Here you go.
                ubersvn updates list.jpg

                Comment


                • #9
                  Just to confirm what verm_pat is experiencing i have the same issue but , i am upgrading from
                  11.10.7884-3 to 11.10.7955-2
                  Attached Files
                  Last edited by zapisto; 11-01-2011, 05:41 PM.

                  Comment


                  • #10
                    any news on that ?

                    Comment


                    • #11
                      Originally posted by verm_pat View Post
                      Of course i can,

                      Here you go.
                      [ATTACH=CONFIG]97[/ATTACH]
                      I see. I believe what's happened is that there is mis-match resulting from updating only the updater package. The good news however, is that we have managed to reproduce the problem here and I have some instructions for you to fix it.

                      If you can perform the following steps on the box that uberSVN is installed on:

                      Code:
                      $ sudo su - ubersvn
                      $ cp /opt/ubersvn/tomcat/webapps/ubersvn/WEB-INF/lib/pkgtool.jar /opt/ubersvn/bin/pkgtool.jar
                      $ cd /opt/ubersvn/downloads
                      $ wget http://update.nl.eu.ubersvn.com/uberSVN-updater-all-all-11.10.7955-2.tar.bz2
                      $ wget http://update.nl.eu.ubersvn.com/uberSVN-ubersvn-all-all-11.10.7955-2.tar.bz2
                      $ wget http://update.nl.eu.ubersvn.com/uberSVN-sqlite-lin-32-3.7.7.1-1.tar.bz2
                      $ wget http://update.nl.eu.ubersvn.com/uberSVN-sqlite-lin-64-3.7.7.1-1.tar.bz2
                      $ wget http://update.nl.eu.ubersvn.com/uberSVN-tomcat-lin-32-6.0.33-1.tar.bz2
                      $ wget http://update.nl.eu.ubersvn.com/uberSVN-tomcat-lin-64-6.0.33-1.tar.bz2
                      Then log in to uberSVN and hit the "install all updates" button at the bottom, that should hopefully correct the situation.
                      Last edited by mbooth; 11-02-2011, 03:53 PM.

                      Comment


                      • #12
                        Hi zapisto, I don't know what the forum has done to your screenshot, but when I click it, it is too small for me to read :-/

                        Comment


                        • #13
                          sorry about that
                          here it is

                          Comment


                          • #14
                            so..... ?
                            let me know what i can do.

                            Comment


                            • #15
                              Originally posted by zapisto View Post
                              so..... ?
                              let me know what i can do.
                              Hi Zapisto,

                              Did you try the same procedure?

                              Code:
                              $ sudo su - ubersvn
                              $ cp /opt/ubersvn/tomcat/webapps/ubersvn/WEB-INF/lib/pkgtool.jar /opt/ubersvn/bin/pkgtool.jar
                              $ cd /opt/ubersvn/downloads
                              $ wget http://update.nl.eu.ubersvn.com/uberSVN-updater-all-all-11.10.7955-2.tar.bz2
                              $ wget http://update.nl.eu.ubersvn.com/uberSVN-ubersvn-all-all-11.10.7955-2.tar.bz2

                              Comment

                              Working...
                              X